//			Copyright (c) 1993 by
//			Advanced Visual Systems Inc.
//			All Rights Reserved
//
//	This software comprises unpublished confidential information of
//	Advanced Visual Systems Inc. and may not be used, copied or made
//	available to anyone, except in accordance with the license
//	under which it is furnished.
//
//	This file is under Perforce control
//	$Id: //depot/express/fcs992/include/avs/cxxutl/misc.hxx#1 $
//

// misc.hxx - Miscelanous utilities

//----------------------------------------------------------------------
#ifndef CXXUTIL_MISC_HXX
#define CXXUTIL_MISC_HXX

//----------------------------------------------------------------------
// Find min of two values
//----------------------------------------------------------------------
#ifndef alpha_osf

template <class TYPE>
inline TYPE UtMin(TYPE value1, TYPE value2)
//----------------------------------------------------------------------
{
  return (value1 < value2 ? value1 : value2);
}

#else

inline int UtMin(int value1, int value2) 
{
  return (value1 < value2 ? value1 : value2);
}
inline float UtMin(float value1, float value2) 
{
  return (value1 < value2 ? value1 : value2);
}

#endif
  
//----------------------------------------------------------------------
// Find max of two values
//----------------------------------------------------------------------
#ifndef alpha_osf

template <class TYPE>
inline TYPE UtMax(TYPE value1, TYPE value2)
//----------------------------------------------------------------------
{
  return (value1 > value2 ? value1 : value2);
}

#else

inline int UtMax(int value1, int value2) 
{
  return (value1 > value2 ? value1 : value2);
}
inline float UtMax(float value1, float value2) 
{
  return (value1 > value2 ? value1 : value2);
}

#endif

//----------------------------------------------------------------------
// Return absolute value
//----------------------------------------------------------------------
#ifndef alpha_osf

template <class TYPE>
inline TYPE UtAbs(TYPE value)
//----------------------------------------------------------------------
{
  return (value > 0 ? value : -value);
}

#else

inline int UtAbs(int value)
{
  return (value > 0 ? value : -value);
}
inline float UtAbs(float value)
{
  return (value > 0 ? value : -value);
}
inline double UtAbs(double value)
{
  return (value > 0 ? value : -value);
}

#endif

#endif


